PETSc version 3.17.4
Fix/Edit manual page

# PetscSFCreateFromLayouts

Creates a parallel star forest mapping two PetscLayout objects

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateFromLayouts(PetscLayout rmap, PetscLayout lmap, PetscSF* sf)

Collective

### Input Parameters

| rmap | - PetscLayout defining the global root space
| lmap | - PetscLayout defining the global leaf space

### Output Parameter

| sf | - The parallel star forest

### See Also

PetscSFCreate(), PetscLayoutCreate(), PetscSFSetGraphLayout()

### Level

intermediate

### Location

src/vec/is/sf/utils/sfutils.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages